This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022731 - rpc.gssd: segfault at 0 error 4 in libc-2.18.so [NEEDINFO]
rpc.gssd: segfault at 0 error 4 in libc-2.18.so
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
19
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 17:10 EDT by Orion Poplawski
Modified: 2015-02-17 12:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:47:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
steved: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-10-23 17:10:01 EDT
Description of problem:

I'm seeing these occaisionally:

lynx/var/log/messages-20130917:Sep 11 15:58:26 lynx kernel: [  657.517986] rpc.gssd[297]: segfault at 0 ip b741262a sp bff26bcc error 4 in libc-2.18.so[b7395000+1b8000]
orca/var/log/messages-20131014:Oct  9 16:23:21 orca kernel: [  535.072792] rpc.gssd[285]: segfault at 0 ip b74a672a sp bfac49ac error 4 in libc-2.18.so[b7429000+1b8000]
pacas/var/log/messages:Oct 23 14:08:11 pacas kernel: [  258.369765] rpc.gssd[364]: segfault at 0 ip 00007fe4ae47c32a sp 00007fffe8a00348 error 4 in libc-2.18.so[7fe4ae340000+1b4000]
vmf20/var/log/messages-20130922:Sep 16 16:09:04 vmf20 kernel: [ 2481.268610] rpc.gssd[255]: segfault at 0 ip 00007fe1086a8bca sp 00007fff43f0f378 error 4 in libc-2.18.so[7fe108624000+1b4000]

Note that I'm not making use of kerberos at the moment so it's not that big of a deal (and perhaps that is the cause).  I probably should just disable nfs-secure.service.  But it probably also shouldn't segfault.  I also see:

[  258.369765] rpc.gssd[364]: segfault at 0 ip 00007fe4ae47c32a sp 00007fffe8a00348 error 4 in libc-2.18.so[7fe4ae340000+1b4000]
[  258.370028] NFS: nfs4_discover_server_trunking unhandled error -32. Exiting with error EIO
[  788.168996] RPC: AUTH_GSS upcall timed out.
Please check user daemon is running.

Version-Release number of selected component (if applicable):
nfs-utils-1.2.8-6.0.fc20.x86_64
Comment 1 Orion Poplawski 2013-10-28 11:36:00 EDT
Disabling nfs-secure seems to be causing problems with automount not being able to mount directories the first time.
Comment 2 Brian J. Murrell 2014-06-25 12:30:38 EDT
I'm seeing this also every time I log in after a reboot.  But I am using kerberos so this is a pretty big deal.

After logging in I have to issue a:

# systemctl restart rpcgssd

to get a functioning rpc.gssd.

I would simply have just filed the abrt report but after generating the stack trace it reports that it's un-usable and refused to go any further.

Opening the abrt working directory and trying to get a stack trace from the corefile manually (after installing the debuginfos) yields:

$ gdb /usr/sbin/rpc.gssd coredump
GNU gdb (GDB) Fedora 7.7.1-13.fc20
Copyright (C) 2014 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/sbin/rpc.gssd...Reading symbols from /usr/lib/debug/usr/sbin/rpc.gssd.debug...done.
done.
[New LWP 2472]
Core was generated by `/usr/sbin/rpc.gssd'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x00007f009766fbfa in ?? ()
(gdb) where
#0  0x00007f009766fbfa in ?? ()
#1  0x00007f0098760fdd in ?? ()
#2  0x0000000000000000 in ?? ()

So yeah, not very useful.  var_log_messages from the abrt report:

$ cat var_log_messages 
[System Logs]:
Jun 11 07:58:36 pc.interlinx.bc.ca kernel: rpc.gssd[2472]: segfault at 0 ip 00007f009766fbfa sp 00007fffa85cb7f8 error 4 in libc-2.18.so[7f00975eb000+1b4000]
Jun 11 07:58:37 pc.interlinx.bc.ca abrt-hook-ccpp[2473]: Saved core dump of pid 2472 (/usr/sbin/rpc.gssd) to /var/tmp/abrt/ccpp-2014-06-11-07:58:36-2472 (733184 bytes)
Jun 11 07:58:37 pc.interlinx.bc.ca rpc.gssd[1285]: WARNING: forked child was killed with signal 11
[User Logs]:
Jun 11 07:58:37 pc.interlinx.bc.ca abrt-hook-ccpp[2473]: Saved core dump of pid 2472 (/usr/sbin/rpc.gssd) to /var/tmp/abrt/ccpp-2014-06-11-07:58:36-2472 (733184 bytes)
Jun 11 07:58:37 pc.interlinx.bc.ca rpc.gssd[1285]: WARNING: forked child was killed with signal 11

Anything else I can do to gather any useful information?
Comment 3 J. Bruce Fields 2014-06-26 14:22:14 EDT
Off the top of my head:

Might be worth running rpc.gssd with -vvv to get more logging.

There's also a -F that will let you run it by hand in the foreground to make it easier to strace or debug.

Is this still on Fedora 19?
Comment 4 Fedora End Of Life 2015-01-09 15:21:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 12:47:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.